> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spreeguy.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Quote

> Returns a quote



## OpenAPI

````yaml GET /v1/quote
openapi: 3.0.1
info:
  title: SPREE API
  description: An API list for my API
  version: 1.0.0
servers:
  - url: https://api.spreeguy.live
security:
  - bearerAuth:
      - token
paths:
  /v1/quote:
    get:
      description: Returns a quote
      parameters:
        - name: token
          in: query
          description: Auth
          schema:
            type: string
            format: string
      responses:
        '200':
          description: Plant response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Plant'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Plant:
      required:
        - name
      type: object
      properties:
        name:
          description: The name of the plant
          type: string
        tag:
          description: Tag to specify the type
          type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: apiKey
      in: header
      name: token

````